Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLTableElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLTableElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, Element, EventTarget, HTMLElement, HTMLTableElement, Node, NodeList, java.io.Serializable

public final class HTMLTableElementImpl
extends HTMLElementImpl
implements HTMLTableElement

Version:
  $Revision: 1.5 $ $Date: 2000/03/28 23:01:53 $
See Also:
  `HTMLAnchorElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTableElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`HTMLElement` | `createCaption()` Create a new table caption object or return an existing one.
`HTMLElement` | `createTFoot()` Create a table footer row or return an existing one.
`HTMLElement` | `createTHead()` Create a table header row or return an existing one.
`void` | `deleteCaption()` Delete the table caption, if one exists.
`void` | `deleteRow(int index)` Delete a table row.
`void` | `deleteTFoot()` Delete the footer from the table, if one exists.
`void` | `deleteTHead()` Delete the header from the table, if one exists.
`java.lang.String` | `getAlign()` Specifies the table's position with respect to the rest of the document.
`java.lang.String` | `getBgColor()` Cell background color.
`java.lang.String` | `getBorder()` The width of the border around the table.
`HTMLTableCaptionElement` | `getCaption()` Returns the table's `CAPTION` , or void if none exists.
`java.lang.String` | `getCellPadding()` Specifies the horizontal and vertical space between cell content and cell borders.
`java.lang.String` | `getCellSpacing()` Specifies the horizontal and vertical separation between cells.
`java.lang.String` | `getFrame()` Specifies which external table borders to render.
`HTMLCollection` | `getRows()` Returns a collection of all the rows in the table, including all in `THEAD` , `TFOOT` , all `TBODY` elements.
`java.lang.String` | `getRules()` Specifies which internal table borders to render.
`java.lang.String` | `getSummary()` Description about the purpose or structure of a table.
`HTMLCollection` | `getTBodies()` Returns a collection of the defined table bodies.
`HTMLTableSectionElement` | `getTFoot()` Returns the table's `TFOOT` , or `null` if none exists.
`HTMLTableSectionElement` | `getTHead()` Returns the table's `THEAD` , or `null` if none exists.
`java.lang.String` | `getWidth()` Specifies the desired table width.
`HTMLElement` | `insertRow(int index)` Insert a new empty row in the table.
`void` | `setAlign(java.lang.String align)`
`void` | `setBgColor(java.lang.String bgColor)`
`void` | `setBorder(java.lang.String border)`
`void` | `setCaption(HTMLTableCaptionElement caption)`
`void` | `setCellPadding(java.lang.String cellPadding)`
`void` | `setCellSpacing(java.lang.String cellSpacing)`
`void` | `setFrame(java.lang.String frame)`
`void` | `setRules(java.lang.String rules)`
`void` | `setSummary(java.lang.String summary)`
`void` | `setTFoot(HTMLTableSectionElement tFoot)`
`void` | `setTHead(HTMLTableSectionElement tHead)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLTableElementImpl

    public HTMLTableElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCaption

    public HTMLTableCaptionElement getCaption()

  Description copied from interface: `HTMLTableElement`
  Returns the table's `CAPTION` , or void if none exists.
  Specified by:
    `getCaption` in interface `HTMLTableElement`

### setCaption

    public void setCaption(HTMLTableCaptionElement caption)

  Specified by:
    `setCaption` in interface `HTMLTableElement`

### createCaption

    public HTMLElement createCaption()

  Description copied from interface: `HTMLTableElement`
  Create a new table caption object or return an existing one.
  Specified by:
    `createCaption` in interface `HTMLTableElement`
  Following copied from interface: `org.w3c.dom.html.HTMLTableElement`
  Returns:
    A `CAPTION` element.

### deleteCaption

    public void deleteCaption()

  Description copied from interface: `HTMLTableElement`
  Delete the table caption, if one exists.
  Specified by:
    `deleteCaption` in interface `HTMLTableElement`

### getTHead

    public HTMLTableSectionElement getTHead()

  Description copied from interface: `HTMLTableElement`
  Returns the table's `THEAD` , or `null` if none exists.
  Specified by:
    `getTHead` in interface `HTMLTableElement`

### setTHead

    public void setTHead(HTMLTableSectionElement tHead)

  Specified by:
    `setTHead` in interface `HTMLTableElement`

### createTHead

    public HTMLElement createTHead()

  Description copied from interface: `HTMLTableElement`
  Create a table header row or return an existing one.
  Specified by:
    `createTHead` in interface `HTMLTableElement`
  Following copied from interface: `org.w3c.dom.html.HTMLTableElement`
  Returns:
    A new table header element (`THEAD` ).

### deleteTHead

    public void deleteTHead()

  Description copied from interface: `HTMLTableElement`
  Delete the header from the table, if one exists.
  Specified by:
    `deleteTHead` in interface `HTMLTableElement`

### getTFoot

    public HTMLTableSectionElement getTFoot()

  Description copied from interface: `HTMLTableElement`
  Returns the table's `TFOOT` , or `null` if none exists.
  Specified by:
    `getTFoot` in interface `HTMLTableElement`

### setTFoot

    public void setTFoot(HTMLTableSectionElement tFoot)

  Specified by:
    `setTFoot` in interface `HTMLTableElement`

### createTFoot

    public HTMLElement createTFoot()

  Description copied from interface: `HTMLTableElement`
  Create a table footer row or return an existing one.
  Specified by:
    `createTFoot` in interface `HTMLTableElement`
  Following copied from interface: `org.w3c.dom.html.HTMLTableElement`
  Returns:
    A footer element (`TFOOT` ).

### deleteTFoot

    public void deleteTFoot()

  Description copied from interface: `HTMLTableElement`
  Delete the footer from the table, if one exists.
  Specified by:
    `deleteTFoot` in interface `HTMLTableElement`

### getRows

    public HTMLCollection getRows()

  Description copied from interface: `HTMLTableElement`
  Returns a collection of all the rows in the table, including all in `THEAD` , `TFOOT` , all `TBODY` elements.
  Specified by:
    `getRows` in interface `HTMLTableElement`

### getTBodies

    public HTMLCollection getTBodies()

  Description copied from interface: `HTMLTableElement`
  Returns a collection of the defined table bodies.
  Specified by:
    `getTBodies` in interface `HTMLTableElement`

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: `HTMLTableElement`
  Specifies the table's position with respect to the rest of the document. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    `getAlign` in interface `HTMLTableElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `HTMLTableElement`

### getBgColor

    public java.lang.String getBgColor()

  Description copied from interface: `HTMLTableElement`
  Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    `getBgColor` in interface `HTMLTableElement`

### setBgColor

    public void setBgColor(java.lang.String bgColor)

  Specified by:
    `setBgColor` in interface `HTMLTableElement`

### getBorder

    public java.lang.String getBorder()

  Description copied from interface: `HTMLTableElement`
  The width of the border around the table. See the border attribute definition in HTML 4.0.
  Specified by:
    `getBorder` in interface `HTMLTableElement`

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    `setBorder` in interface `HTMLTableElement`

### getCellPadding

    public java.lang.String getCellPadding()

  Description copied from interface: `HTMLTableElement`
  Specifies the horizontal and vertical space between cell content and cell borders. See the cellpadding attribute definition in HTML 4.0.
  Specified by:
    `getCellPadding` in interface `HTMLTableElement`

### setCellPadding

    public void setCellPadding(java.lang.String cellPadding)

  Specified by:
    `setCellPadding` in interface `HTMLTableElement`

### getCellSpacing

    public java.lang.String getCellSpacing()

  Description copied from interface: `HTMLTableElement`
  Specifies the horizontal and vertical separation between cells. See the cellspacing attribute definition in HTML 4.0.
  Specified by:
    `getCellSpacing` in interface `HTMLTableElement`

### setCellSpacing

    public void setCellSpacing(java.lang.String cellSpacing)

  Specified by:
    `setCellSpacing` in interface `HTMLTableElement`

### getFrame

    public java.lang.String getFrame()

  Description copied from interface: `HTMLTableElement`
  Specifies which external table borders to render. See the frame attribute definition in HTML 4.0.
  Specified by:
    `getFrame` in interface `HTMLTableElement`

### setFrame

    public void setFrame(java.lang.String frame)

  Specified by:
    `setFrame` in interface `HTMLTableElement`

### getRules

    public java.lang.String getRules()

  Description copied from interface: `HTMLTableElement`
  Specifies which internal table borders to render. See the rules attribute definition in HTML 4.0.
  Specified by:
    `getRules` in interface `HTMLTableElement`

### setRules

    public void setRules(java.lang.String rules)

  Specified by:
    `setRules` in interface `HTMLTableElement`

### getSummary

    public java.lang.String getSummary()

  Description copied from interface: `HTMLTableElement`
  Description about the purpose or structure of a table. See the summary attribute definition in HTML 4.0.
  Specified by:
    `getSummary` in interface `HTMLTableElement`

### setSummary

    public void setSummary(java.lang.String summary)

  Specified by:
    `setSummary` in interface `HTMLTableElement`

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: `HTMLTableElement`
  Specifies the desired table width. See the width attribute definition in HTML 4.0.
  Specified by:
    `getWidth` in interface `HTMLTableElement`

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    `setWidth` in interface `HTMLTableElement`

### insertRow

    public HTMLElement insertRow(int index)

  Description copied from interface: `HTMLTableElement`
  Insert a new empty row in the table. The new row is inserted immediately before and in the same section as the current `index` th row in the table. If `index` is equal to the number of rows, the new row is appended. In addition, when the table is empty the row is inserted into a `TBODY` which is created and inserted into the table. Note. A table row cannot be empty according to HTML 4.0 Recommendation.
  Specified by:
    `insertRow` in interface `HTMLTableElement`
  Following copied from interface: `org.w3c.dom.html.HTMLTableElement`
  Parameters:
    `index` - The row number where to insert a new row. This index starts from 0 and is relative to all the rows contained inside the table, regardless of section parentage.
  Returns:
    The newly created row.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than the number of rows.

### deleteRow

    public void deleteRow(int index)

  Description copied from interface: `HTMLTableElement`
  Delete a table row.
  Specified by:
    `deleteRow` in interface `HTMLTableElement`
  Following copied from interface: `org.w3c.dom.html.HTMLTableElement`
  Parameters:
    `index` - The index of the row to be deleted. This index starts from 0 and is relative to all the rows contained inside the table, regardless of section parentage.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than or equal to the number of rows.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD